Skip to main content
GET
List batches

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Query Parameters

limit
integer

Maximum number of batches to return, from 1 through 100.

Example:

20

after
string

Batch id from the previous page's last_id.

Minimum string length: 1
Example:

"batch_7a4b02"

status
enum<string>[]

Repeat this parameter to include more than one status.

A batch status that is durably represented by the list data source. finalizing and cancelling are not accepted because stored jobs collapse those phases into in_progress.

Available options:
validating,
in_progress,
completed,
failed,
expired,
cancelled
Example:
created_after

Only include batches created strictly after this timestamp.

Pattern: ^\d+$
Example:

"2026-08-20T00:00:00Z"

created_before

Only include batches created strictly before this timestamp.

Pattern: ^\d+$
Example:

"2026-08-20T00:00:00Z"

Response

A newest-first page of batches.

A newest-first page of metadata-only batch objects.

data
object[]
required
first_id
string | null
required
has_more
boolean
required
last_id
string | null
required
object
enum<string>
required
Available options:
list